Get all workspaces
curl --request GET \
--url https://kan.bn/api/v1/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://kan.bn/api/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kan.bn/api/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"role": "<string>",
"workspace": {
"publicId": "<string>",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"weekStartDay": 123,
"cardPrefix": "<string>",
"deletedAt": "<string>"
}
}
]{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Workspaces
Get all workspaces
Retrieves all workspaces for the authenticated user
GET
/
workspaces
Get all workspaces
⌘I